---
title: "ConfigMode"
date: 2025-01-27
draft: false
description: "a description"
tags: ["config", "wifi"]
---
# Initial
If the config file is missing, or invalid the Emergency Rescue mode is started
In this case multiple Fault LEDS will be flashing and the esp will open an AccessPoint.
Connect to the AccessPoint and browse to http://192.168.71.1 to set it up

# During normal operation
1. Press the boot button untill the ESP shows that it is active. 
2. The General fault LED will flash, keep pressing the button untill it stops
3. The ESP will now try to connect to a WIFI station if configured and start the webserver, if the connection to the station cannot be made, it will open an AccessPoint instead.

# MQTT
It is possible to use the topic /stay/alive to enter the config mode.

If this topic contains a retained message with the value true, the ESP will enter ConfigMode during it's next cycle and stay there.

Note: You must set /stay/alive to retained false again after this, otherwise it will always enter configmode, even if you exist it via the webui.

# USB reboot
By connecting to the USB Terminal via a Serial Monitor, the ESP is reset and will enter configmode as if the button for normal operation was pressed

# Reboot
When pressing reboot in configmode website, the esp will restart into the configmode newly saved settings. To exit configmode the exit button must be used.